> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/events.md).

# Events

- [Webhooks](https://docs.violet.io/api-reference/events/webhooks.md)
- [Get Webhooks](https://docs.violet.io/api-reference/events/webhooks/get-webhooks.md)
- [Create Webhook](https://docs.violet.io/api-reference/events/webhooks/create-webhook.md)
- [Delete Channel Webhooks](https://docs.violet.io/api-reference/events/webhooks/delete-channel-webhooks.md)
- [Update Webhooks Status](https://docs.violet.io/api-reference/events/webhooks/update-webhooks-status.md)
- [Get Webhook](https://docs.violet.io/api-reference/events/webhooks/get-webhook.md)
- [Update Webhook](https://docs.violet.io/api-reference/events/webhooks/update-webhook.md)
- [Delete Webhook](https://docs.violet.io/api-reference/events/webhooks/delete-webhook.md)
- [Webhook Events](https://docs.violet.io/api-reference/events/webhook-events.md)
- [Get All Webhook Events](https://docs.violet.io/api-reference/events/webhook-events/get-all-webhook-events.md)
- [Search All Webhook Events](https://docs.violet.io/api-reference/events/webhook-events/search-all-webhook-events.md)
- [Get Webhook Event Types](https://docs.violet.io/api-reference/events/webhook-events/get-webhook-event-types.md)
- [Get Webhook Events](https://docs.violet.io/api-reference/events/webhook-events/get-webhook-events.md)
- [Get Webhook Event](https://docs.violet.io/api-reference/events/webhook-events/get-webhook-event.md)
- [Get Webhook Event Body](https://docs.violet.io/api-reference/events/webhook-events/get-webhook-event-body.md)
- [Get Webhook Event Headers](https://docs.violet.io/api-reference/events/webhook-events/get-webhook-event-headers.md)
- [Simulate Webhook Event](https://docs.violet.io/api-reference/events/webhook-events/simulate-webhook-event.md)
- [Resend Webhook Event by Event ID](https://docs.violet.io/api-reference/events/webhook-events/resend-webhook-event-by-id.md)
- [Resend Latest Webhook Event by Entity ID](https://docs.violet.io/api-reference/events/webhook-events/resend-webhook-event-by-entity-id.md)
- [Cancel Webhook Event by Event ID](https://docs.violet.io/api-reference/events/webhook-events/cancel-webhook-event-by-id.md)
- [Webhook Headers](https://docs.violet.io/api-reference/events/webhook-headers.md)
- [Get Webhook Headers](https://docs.violet.io/api-reference/events/webhook-headers/get-webhook-headers.md)
- [Create Webhook Header](https://docs.violet.io/api-reference/events/webhook-headers/create-webhook-header.md)
- [Get Webhook Header](https://docs.violet.io/api-reference/events/webhook-headers/get-webhook-header.md)
- [Update Webhook Header](https://docs.violet.io/api-reference/events/webhook-headers/update-webhook-header.md)
- [Delete Webhook Header](https://docs.violet.io/api-reference/events/webhook-headers/delete-webhook-header.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violet.io/api-reference/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
